Subject: Re: [PATCH] powerpc: mtmsrd not defined

From: Paul Mackerras <[email-masked]>
Date: Wed, 1 Sep 2010 18:02:14 +1000

On Tue, Aug 31, 2010 at 10:55:25PM -0400, Sean MacLennan wrote:

> I had to give up. Without the CONFIG_PPC_FPU it compiles fine for an
> FPU less 44x. But with the CONFIG_PPC_FPU, I get the following errors:

Ah, those references would be from arch/powerpc/lib/sstep.c.  Evidently
we need #ifdef CONFIG_PPC_FPU around the emulation of the floating-point
loads and stores.

Do we do any in-kernel emulation of floating-point operations with
CONFIG_PPC_FPU turned off?

Paul.